Skip to main content
POST
/
superdoc
/
v1
/
convert
cURL
curl -X POST "https://api.case.dev/superdoc/v1/convert" \
  -H "Authorization: Bearer $CASEDEV_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "from": "docx"
}'
"<string>"

Documentation Index

Fetch the complete documentation index at: https://docs.case.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

file
file
required

The document file to convert (max 25MB)

from
enum<string>
required

Source format of the document

Available options:
docx,
md,
html
to
enum<string>
default:pdf

Target format for conversion

Available options:
pdf,
docx

Response

Converted document

The response is of type file.